Bug 39072 - re-exporting ncpmounted volumes does not seem to work
re-exporting ncpmounted volumes does not seem to work
Product: Red Hat Linux
Classification: Retired
Component: knfsd (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Depends On:
  Show dependency treegraph
Reported: 2001-05-03 23:08 EDT by Benjamin Duke
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-23 15:34:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Benjamin Duke 2001-05-03 23:08:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.18-27 i586)

Description of problem:
I get a permission denied on HP-UX(10.20) or Linux (7.1 & 7.0)  when i try
to mount a nfs volume (on a redhat 7.1 box) that is a re-exported ncpfs. If
it is a Redhat 7.0 box that is re-exporting the ncpmounted volume, i have
no problems. It also works fine on a Suse box. Is something wrong with
re-exporting a ncpmounted volume in Redhat 7.1 ?

How reproducible:

Steps to Reproduce:
1. On a RedHat 7.1 box, mount a ncpfs with something like ' ncpmount -S
server -U user -P password -g 99 -u 99 -f 666 -d 777 -V ncpvolume
/mount_point '.
2. Now on that same box put ' /mount_point
*(rw,all_squash,anongid=99,anonuid=99) ' in the /etc/exports. This will
(hopefully) export the ncpmounted volume.
3. Now on another unix/ linux machine add this in the /etc/fstab, '
Redhat7_1:/ncpmountpoint   /local_mount_point  nfs   bg,time0=15,rw,suid   
0 0 ' . Of course,  the ' Redhat7_1:/ncpmountpoint ' refers to the RedHat
7.1 server in lines 1 and 2 that is re-exporting that ncp volume via nfs.
4. NOW, if you try to ' mount /local_mount_point ' on your unix/linux box
then you will get a permission denied !!
5. If you do this same setup but use redhat 7.0 or 6.2 (instead of redhat
7.1) for the nfs server (that is re-exporting the ncpmounted volume), IT
Comprende ? Sorry if i over-explained this, just trying to make it clear !

Actual Results:  If you use the Redhat 7.1 knfsd to re-export a ncpmounted
volume, you get a permission denied (even with firewall disabled). I have
tried hard to locate what permissions might be getting in the way, but i
always get permission denied. If it is redhat 7.0 or 6.2 knfsd that is
re-exporting the
ncpmounted volume, then i have no problems at all mounting the volume with
other unixes or linuxes.

Expected Results:  You should be able to mount (via nfs) this re-exported
ncpfs volume in RedHat 7.1. 

Additional info:

The most interesting thing is that if you ncpumount (unmount the ncpfs) the
novell volume, YOU CAN THEN MOUNT THE exported nfs volume on the RedHat 7.1
box. So permissions get screwed when you ncpmount the novell volume that is
re-exported via nfs to another

OK, i think i have repeated myself enough !!
Comment 1 Benjamin Duke 2001-05-04 08:42:00 EDT
OH yea, just wanted to mention- Of course i do the `exportfs -a` and restart the
nfs daemons after
i set up the test scenario above.
Comment 2 Benjamin Duke 2001-05-04 13:37:00 EDT
ITs weird ! IF i ` cat /proc/fs/nfs/exports ` on the RedHat 7.1 nfs server , 
The options are different than the ones in the /etc/exports.
The /proc/fs/nfs/exports ' read:
/mount_point     IP_number_of_nfs_client(rw,root_squash,all_squash,async,wdelay)

This does not make sense !
Comment 3 Elliot Lee 2004-08-23 15:34:06 EDT
Closing old bugs for dead packages that have no maintainers. Please refile
against current packages/products if still relevant.

Note You need to log in before you can comment on or make changes to this bug.